package logs

import (
	"FollowUp_Notice/conf"
	"github.com/astaxie/beego/logs"
	"runtime"
)

var Logx *logs.BeeLogger
var Test = true

func init() {
	Logx = logs.NewLogger()
	Logx.SetLogger(logs.AdapterFile, `{"filename":"logs/Logx/Logx.log"}`)
	Logx.EnableFuncCallDepth(true)
	Logx.SetLogFuncCallDepth(3)
	if conf.RunMode == "dev" {
		Logx.SetLogger("console")
	}
	if runtime.GOOS == "windows" {
		Test = true
	} else {
		Test = false
	}
}

func Println(format string, v ...interface{}) {
	for _, _ = range v {
		format += " %v"
	}
	Logx.Info(format, v...)
}

// Debug Log DEBUG level message.
func Debug(format string, v ...interface{}) {
	for _, _ = range v {
		format += " %v"
	}
	Logx.Debug(format, v...)
}

// Info Log ERROR level message.
func Info(format string, v ...interface{}) {
	for _, _ = range v {
		format += " %v"
	}
	Logx.Info(format, v...)
}

// Error Log ERROR level message.
func Error(format string, v ...interface{}) {
	for _, _ = range v {
		format += " %v"
	}

	Logx.Error(format, v...)
}

// Warning Log WARNING level message.
func Warning(format string, v ...interface{}) {
	for _, _ = range v {
		format += " %v"
	}
	Logx.Warning(format, v...)
}
